{
  config,
  lib,
  pkgs,
  ...
}:
{
  options = {
    custom.cli.enable = lib.mkEnableOption "Enable CLI config";
  };
  config = lib.mkIf config.custom.cli.enable {
    programs.ssh = {
      enable = true;
      enableDefaultConfig = false;
      matchBlocks."*" = {
        setEnv = {
          TERM = "xterm-256color";
        };
      };
    };
    home.packages = with pkgs; [
      bottom
      clang
      deploy-rs
      devbox
      dig
      dust
      fastfetch
      imagemagick
      nh
      termusic
    ];
    home = {
      shell.enableFishIntegration = true;
    };
    xdg.configFile = {
      termusicServerConfig = {
        source = ./termusic/server.toml;
        target = "termusic/server.toml";
      };
      termusicTuiConfig = {
        source = ./termusic/tui.toml;
        target = "termusic/tui.toml";
      };
    };
    programs = {
      opencode = {
        enable = true;
        settings = {
          provider = {
            ai-tunnel = {
              options = {
                baseURL = "https://api.aitunnel.ru/v1/";
              };
              models = {
                "glm-5" = {
                  name = "glm-5";
                };
                "glm-4.7-flash" = {
                  name = "glm-4.7-flash";
                };
              };
            };
          };
        };
      };
      bat.enable = true;
      eza.enable = true;
      fd = {
        enable = true;
        hidden = true;
        extraOptions = [
          "--hidden"
          "-g"
          "!*.git/"
        ];
      };
      yazi = {
        enable = true;
        shellWrapperName = "y";
      };
      ripgrep = {
        enable = true;
        arguments = [
          "--hidden"
          "-g"
          "!*.git/"
        ];
      };
      lazygit.enable = true;
      direnv.enable = true;
      home-manager.enable = true;
      delta = {
        enable = true;
        enableGitIntegration = true;
      };
      fish = {
        enable = true;
        interactiveShellInit = ''
          set fish_greeting
        '';
      };
      zoxide.enable = true;
      starship.enable = true;
      git = {
        enable = true;
        settings = {
          user = {
            email = "flygrounder@flygrounder.ru";
            name = "Артём Белоусов";
          };
        };
      };
    };
  };
}
